Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.content
Class WindowRendition

    java.lang.Object
      org.jboss.portal.core.model.portal.content.WindowRendition

    public class WindowRendition

extends java.lang.Object

Aggregates window specific data and a controller response.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`WindowRendition(java.util.Map properties, WindowState windowState, Mode mode, java.util.List supportedWindowStates, java.util.List supportedModes, ControllerResponse controllerResponse)`

Method Summary
`ControllerResponse` | `getControllerResponse()`
`Mode` | `getMode()`
`java.util.Map` | `getProperties()`
`java.util.List` | `getSupportedModes()`
`java.util.List` | `getSupportedWindowStates()`
`WindowState` | `getWindowState()`
`void` | `setControllerResponse(ControllerResponse controllerResponse)`
`void` | `setSupportedModes(java.util.List supportedModes)`
`void` | `setSupportedWindowStates(java.util.List supportedWindowStates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowRendition

    public WindowRendition(java.util.Map properties,
                           WindowState windowState,
                           Mode mode,
                           java.util.List supportedWindowStates,
                           java.util.List supportedModes,
                           ControllerResponse controllerResponse)

Method Detail

### getProperties

    public java.util.Map getProperties()

### getWindowState

    public WindowState getWindowState()

### getMode

    public Mode getMode()

### getSupportedWindowStates

    public java.util.List getSupportedWindowStates()

### setSupportedWindowStates

    public void setSupportedWindowStates(java.util.List supportedWindowStates)

### getSupportedModes

    public java.util.List getSupportedModes()

### setSupportedModes

    public void setSupportedModes(java.util.List supportedModes)

### getControllerResponse

    public ControllerResponse getControllerResponse()

### setControllerResponse

    public void setControllerResponse(ControllerResponse controllerResponse)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD